// Fetch Text URL Settings
// Jeff Chien

var FTUSettings = {
	_newtabField: null,
	_curtabField: null,
	_newwinField: null,
	_dispurlField: null,
	_iconsField: null,
	_preferences: null,

	onLoad: function() {
		this._preferences = Components.classes["@mozilla.org/preferences-service;1"].
						getService(Components.interfaces.nsIPrefService).
						getBranch('ftu.');

		this._newtabField = document.getElementById('newtab');
		this._curtabField = document.getElementById('curtab');
		this._newwinField = document.getElementById('newwin');
		this._dispurlField = document.getElementById('dispurl');
		this._iconsField = document.getElementById('icons');

		var newtab = null;
		try {
			newtab = this._preferences.getBoolPref('newTab');
		} catch(e) { }
		if(newtab == null) {
			newtab = true;
		}
		this._newtabField.checked = newtab;

    	var curtab = null;
		try {
			curtab = this._preferences.getBoolPref('currentTab');
		} catch(e) { }
		if(curtab == null) {
			curtab = true;
		}
		this._curtabField.checked = curtab;

		var newwin = null;
		try {
			newwin = this._preferences.getBoolPref('newWindow');
		} catch(e) { }
		if(newwin == null) {
			newwin = true;
		}
		this._newwinField.checked = newwin;

		var dispurl = null;
		try {
			dispurl = this._preferences.getCharPref('displayURL');
		} catch(e) { }
		if(dispurl == null) {
			dispurl = 'showurl';
		}
		this._dispurlField.selectedItem = document.getElementById(dispurl);

		var icons = null;
		try {
			icons = this._preferences.getBoolPref('showIcons');
		} catch(e) { }
		if(icons == null) {
			icons = true;
		}
		this._iconsField.checked = icons;
	},

	onAccept: function() {
		this._preferences.setBoolPref('newTab', this._newtabField.checked);
		this._preferences.setBoolPref('currentTab', this._curtabField.checked);
		this._preferences.setBoolPref('newWindow', this._newwinField.checked);
		this._preferences.setCharPref('displayURL', this._dispurlField.selectedItem.id);
		this._preferences.setBoolPref('showIcons', this._iconsField.checked);
	}
};